Bug 848221 - [PERL WARNING] Use of uninitialized value in string eq at...
[PERL WARNING] Use of uninitialized value in string eq at...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: d. johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 18:51 EDT by Jóhann B. Guðmundsson
Modified: 2013-07-31 19:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:59:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2012-08-14 18:51:22 EDT
Description of problem:

Seeing this in munin-html.log

2012/08/14 22:45:10 [PERL WARNING] Use of uninitialized value in string eq at /usr/share/perl5/vendor_perl/Munin/Master/HTMLConfig.pm line 461.
2012/08/14 22:45:10 [PERL WARNING] Use of uninitialized value in string eq at /usr/share/perl5/vendor_perl/Munin/Master/HTMLConfig.pm line 488.
2012/08/14 22:45:10 [PERL WARNING] Use of uninitialized value in string eq at /usr/share/perl5/vendor_perl/Munin/Master/HTMLConfig.pm line 488.
2012/08/14 22:45:10 [PERL WARNING] Use of uninitialized value in string eq at /usr/share/perl5/vendor_perl/Munin/Master/HTMLConfig.pm line 488.
2012/08/14 22:45:10 [PERL WARNING] Use of uninitialized value in string eq at /usr/share/perl5/vendor_perl/Munin/Master/HTMLConfig.pm line 488.


Version-Release number of selected component (if applicable):

Test scratch build 2.0.5-2.fc17.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2012-08-14 19:00:54 EDT
Caused by cgi being hashed out in /etc/munin/munin.conf 

The HTMLConfig.pm file probably just needs something like..

if( ! defined ($config->{'graph_strategy'} )
{
    # do something (initialize? skip 'eq' cgi?)
}

magic to be fixed...
Comment 2 Lonni J Friedman 2012-10-17 17:06:09 EDT
The fedora munin packages seem like a hackfest.  cgi is supposed to be enabled by default in munin-2.x, so commenting it out is arguably shipping a broken configuration.  Of course the cgi stuff doesn't work right in the fedora munin packages (bug 861816), so perhaps that's why it was commented out.

*sigh*
Comment 3 d. johnson 2012-10-18 21:18:39 EDT
Basically, all of the files come from upstream.  Very little is from Fedora, it is just upstream packaged using it's own defaults.
Comment 4 Lonni J Friedman 2012-10-18 21:44:10 EDT
I guess I'm failing to see the point of using the fedora packaging if there's no value add.  I know for a fact that the Debian munin packages have none of the problems that Fedora's ship with.  Debian has CGI working out of the box.  They don't have broken updates.
Comment 5 Kenyon Ralph 2012-10-19 00:45:43 EDT
(In reply to comment #4)
> I guess I'm failing to see the point of using the fedora packaging if
> there's no value add.  I know for a fact that the Debian munin packages have
> none of the problems that Fedora's ship with.  Debian has CGI working out of
> the box.  They don't have broken updates.

If you look at the Debian munin package's bug history, you'll see it has had plenty of problems, including breakage on upgrades.
Comment 6 d. johnson 2012-10-20 02:31:10 EDT
This should be resolved in 2.0.7 if you use cron (instead of cgi, which was the default in 2.0.5, but no longer the default upstream).
Comment 7 d. johnson 2012-12-20 22:32:39 EST
"rpm -qi munin-cgi" for 2.0.9-2 has instructions for switching from cron to mod_fcgi.

As for the original item this BZ was opened for, I have not seen a workable patch yet.
Comment 8 Fedora Admin XMLRPC Client 2013-05-19 15:52:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2013-07-03 18:15:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 19:59:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.